Show / Hide Table of Contents

# Class XivChatTypeExtensions

##### Inheritance

System.Object
XivChatTypeExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat

###### Assembly: Dalamud.dll

##### Syntax

    public static class XivChatTypeExtensions

### Methods

| Improve this Doc View Source

#### GetDetails(XivChatType)

##### Declaration

    public static XivChatTypeInfoAttribute GetDetails(this XivChatType p)

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatType | p |

##### Returns

Type | Description
--- | ---
XivChatTypeInfoAttribute |